<?php

if(!defined('_CAN_LOAD_FILES_'))	exit;

class ecm_skypeme extends Module
{

	public
	function __construct()
	{
		$this->name = 'ecm_skypeme';
		$this->tab = 'front_office_features';
		$this->version = 0.1;
		$this->author = 'Elcommerce';
		$this->ps_versions_compliancy = array('min'=> '1.5','max'=> '1.6.20');
		$this->need_instance = 0;

		parent::__construct();

		$this->displayName = $this->l('Click To Call Skype');
		$this->description = $this->l('The plugin Skype Click to Call lets you quickly call the numbers listed on the websites with one click.');
	}


	public function install()
	{
		Configuration::UpdateValue('SKM_DISPLAY', "Classic");
		return (parent::install() AND $this->registerHook('displayHeader'));

	}
	
	private
	function _displayabout()
	{

		$this->_html .= '<form action="'.$_SERVER['REQUEST_URI'].'" method="post">
		<fieldset class="space">
		<legend><img src="../img/admin/email.gif" /> ' . $this->l('Information') . '</legend>
		<div id="dev_div">
		<span><b>' . $this->l('Version') . ':</b> ' . $this->version . '</span><br>
		<span><b>' . $this->l('Developer') . ':</b> <a class="link" href="http://elcommerce.com.ua" target="_blank">savvato</a><br>
		<span><b>' . $this->l('Описание') . ':</b> <a class="link" href="http://support.elcommerce.com.ua/kb/index.php" target="_blank">Наша база знаний</a><br><br>
		<p style="text-align:center"><a href="http://elcommerce.com.ua/"><img src="http://elcommerce.com.ua/img/m/logo.png" alt="Электронный учет коммерческой деятельности" /></a>

		</div>
		</fieldset>
		';
		$this->_html .= '<fieldset class="space"><legend><img src="../img/admin/email.gif" /> ' . $this->l('donate') . '</legend>
		<p style="text-align:center"><a href="https://advisor.wmtransfer.com/Spasibo.aspx?url=elcommerce.com.ua"><img src="//advisor.wmtransfer.com/img/Spasibo!.png" target="_blank" title="Передать $пасибо! нашему сайту"/></a>
		</fieldset>
		';
	}

	public
	function postProcess()
	{

		
		if(Tools::isSubmit('submitProv'))
		{

			Configuration::UpdateValue('SKM_BUTTON_TYPE', Tools::GetValue('display_button'));
			Configuration::UpdateValue('SKM_BUTTON_SIZE', Tools::GetValue('display_size'));
			Configuration::UpdateValue('SKM_C_TYPE', Tools::GetValue('comunication_type'));
			$this->_html .= '
			<div class="conf confirm">
			<img src="../img/admin/ok.gif" alt="" title="" />
			Настройки обновлены
			</div>';

		}
		if(Tools::isSubmit('submitPref'))
		{

			Configuration::updateValue('NICK',  Tools::GetValue('nick'));

			$this->_html .= '
			<div class="conf confirm">
			<img src="../img/admin/ok.gif" alt="" title="" />
			Настройки обновлены
			</div>';

		}

	}

	//}
	public
	function getContent()
	{

		$this->_html = '<h2>'.$this->l('Модуль "ClickToCall Skype"').'</h2>';
		$this->postProcess();
		$this->_html .= '
		<form action="'.$_SERVER['REQUEST_URI'].'" method="post">
		<fieldset><legend>'.$this->l('Preferens').'</legend>

		<label>'.$this->l('Enter your Skype nickname').'</label>
		<div class="margin-form">
		<input type="text" name="nick" style="width: 100px" value="'.Tools::GetValue('nick',Configuration::get('NICK')).'" />
		<p class="clear">'.$this->l('your Skype nickname').' </p>
		</div>



		<div class="margin-form"><input class="button" type="submit" name="submitPref" value="'.$this->l('Save').'" /></div>
		</fieldset>
		</form>
		';
		

			if((Configuration::get('SKM_DISPLAY')) == "Classic")
			{
				$this->_html .= '

				<form action="'.$_SERVER['REQUEST_URI'].'" method="post">
				<fieldset><legend>'.$this->l('Design button vidjet').'</legend>
				<label>'.$this->l('Icon color:').'</label>
				<div class="margin-form"><select name="display_button">
				<option value="Blue" '.( Tools::GetValue('display_button',Configuration::get('SKM_BUTTON_TYPE')) == "Blue" ? 'selected="selected"' : '').'>'.$this->l('Blue').'</option>
				<option value="White" '.(Tools::GetValue('display_button',Configuration::get('SKM_BUTTON_TYPE')) == "White" ? 'selected="selected"' : '').'>'.$this->l('White').'</option>
				</select></div>


				<label>'.$this->l('Icon size:').'</label>
				<div class="margin-form"><select name="display_size">
				<option value="10px" '.( Tools::GetValue('display_size',Configuration::get('SKM_BUTTON_SIZE')) == "10px" ? 'selected="selected"' : '').'>'.$this->l('10px').'</option>
				<option value="12px" '.( Tools::GetValue('display_size',Configuration::get('SKM_BUTTON_SIZE')) == "12px" ? 'selected="selected"' : '').'>'.$this->l('12px').'</option>
				<option value="14px" '.( Tools::GetValue('display_size',Configuration::get('SKM_BUTTON_SIZE')) == "14px" ? 'selected="selected"' : '').'>'.$this->l('14px').'</option>
				<option value="16px" '.( Tools::GetValue('display_size',Configuration::get('SKM_BUTTON_SIZE')) == "16px" ? 'selected="selected"' : '').'>'.$this->l('16px').'</option>
				<option value="24px" '.( Tools::GetValue('display_size',Configuration::get('SKM_BUTTON_SIZE')) == "24px" ? 'selected="selected"' : '').'>'.$this->l('24px').'</option>
				<option value="32px" '.(Tools::GetValue('display_size',Configuration::get('SKM_BUTTON_SIZE')) == "32px" ? 'selected="selected"' : '').'>'.$this->l('32px').'</option>
				</select></div>




				<label>'.$this->l('Type comunication:').'</label>
				<div class="margin-form"><select name="comunication_type">
				<option value="call" '.( Tools::GetValue('comunication_type',Configuration::get('SKM_C_TYPE')) == "call" ? 'selected="selected"' : '').'>'.$this->l('Call').'</option>
				<option value="chat" '.( Tools::GetValue('comunication_type',Configuration::get('SKM_C_TYPE')) == "chat" ? 'selected="selected"' : '').'>'.$this->l('Chat').'</option>
				<option value="dropdown" '.( Tools::GetValue('comunication_type',Configuration::get('SKM_C_TYPE')) == "dropdown" ? 'selected="selected"' : '').'>'.$this->l('Both').'</option>

				</select></div>

				<div class="margin-form"><input class="button" type="submit" name="submitProv" value="'.$this->l('Save').'" /></div>
				</fieldset>
				</form>
				';

			}

		//}

		$this->_displayabout();
		return $this->_html;
	}
	function hookdisplayHeader($params)
	{
		//require_once(_PS_MODULE_DIR_.'ulogin / classes / UloginAuth.php');
		//require_once(_PS_MODULE_DIR_.'ulogin / classes / Init.php');
		
		global $smarty;
		$this->context->controller->addCSS($this->_path.'css/ecm_skypeme.css', 'all');
		$nick = Configuration::get('NICK');
		if(!empty($nick))
		$script =
		'<div id="SkypeButton_Call_'.Configuration::get('NICK').'_1">
		<script type="text/javascript">
		Skype.ui({
		"name": "'.Configuration::get('SKM_C_TYPE').'",
		"element": "SkypeButton_Call_'.Configuration::get('NICK').'_1",
		"participants": ["'.Configuration::get('NICK').'"],
		'.(Configuration::get('SKM_BUTTON_TYPE') == "White" ? '"imageColor": "white",' : '').'
		"imageSize": '.substr(Configuration::get('SKM_BUTTON_SIZE'), 0,-2).'
		});
		</script>
		</div>';
		//d($script);
		$smarty->assign('script',$script);
		switch(Configuration::get('SKM_DISPLAY')){
			case "Classic":
			return $this->display(__FILE__, 'classic.tpl');
			break;
			

		}


	}



}



?>
